Name:           freeDiameter
Version:        1.2.0
Release:        7%{?dist}
Summary:        A Diameter protocol open implementation

License:        BSD
URL:            http://www.freediameter.net/
Source0:        http://www.freediameter.net/hg/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  lksctp-tools-devel 
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  libidn-devel

%description
freeDiameter is an open source Diameter protocol implementation. It provides 
an extensible platform for deploying a Diameter network for your 
Authentication, Authorization and Accounting needs.

%package devel
Summary:        Library for freeDiameter package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the shared library
for %{name} package.

%prep
%setup -qn %{name}-%{version}

%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc doc
%{_bindir}/freeDiameterd
%{_bindir}/%{name}d-%{version}
%{_libdir}/libfdcore.so.6
%{_libdir}/libfdproto.so.6
%{_libdir}/libfdcore.so.%{version}
%{_libdir}/libfdproto.so.%{version}

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}/
%{_libdir}/libfdcore.so
%{_libdir}/libfdproto.so

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 31 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.0-6
- spec cleanup

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Tomáš Mráz <tmraz@redhat.com> - 1.2.0-3
- Rebuild for new libgcrypt

* Thu Feb 20 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.2.0-2
- new upstream version 1.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 15 2013 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.1.6-1
- new upstream version 1.1.6

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec  7 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.1.5-1
- Updated to new upstream 1.1.5

* Sat Sep 29 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.4-1
- Updated to 1.1.4

* Sat Aug 25 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.3-1
- Updated to 1.1.3.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 16 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.2-1
- Updated to 1.1.2.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.1-1
- Updated to 1.1.1.

* Mon Jun 06 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.1.0-1
- Updated to 1.1.0.

* Mon Dec 27 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 1.0.3-1
- Initial package.

